## libkomparediff2 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(LibKompareDiff2 VERSION "6.0.0")

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)

include(CMakePackageConfigHelpers)
include(FeatureSummary)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    COMPONENTS
        Core
        Widgets
        ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        Config
        XmlGui
        I18n
        KIO
)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
)

set(LIB_SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(LIB_BINARY_DIR "${CMAKE_BINARY_DIR}/src")
include_directories(
    ${LIB_SOURCE_DIR}
    ${LIB_BINARY_DIR}
)

ecm_qt_declare_logging_category(komparediff2_DBG_SRCS
    HEADER komparediff2_logging.h
    IDENTIFIER KOMPAREDIFF2_LOG
    CATEGORY_NAME "libkomparediff"
)

add_executable(interactiveDiffTest)

target_sources(interactiveDiffTest PRIVATE
    interactivedifftest.cpp
    ${LIB_SOURCE_DIR}/perforceparser.cpp
    ${LIB_SOURCE_DIR}/cvsdiffparser.cpp
    ${LIB_SOURCE_DIR}/difference.cpp
    ${LIB_SOURCE_DIR}/differencestring.cpp
    ${LIB_SOURCE_DIR}/diffhunk.cpp
    ${LIB_SOURCE_DIR}/diffmodel.cpp
    ${LIB_SOURCE_DIR}/diffmodel_p.cpp
    ${LIB_SOURCE_DIR}/diffmodellist.cpp
    ${LIB_SOURCE_DIR}/diffparser.cpp
    ${LIB_SOURCE_DIR}/info.cpp
    ${LIB_SOURCE_DIR}/modellist.cpp
    ${LIB_SOURCE_DIR}/modellist_p.cpp
    ${LIB_SOURCE_DIR}/kompareprocess.cpp
    ${LIB_SOURCE_DIR}/parser.cpp
    ${LIB_SOURCE_DIR}/parserbase.cpp
    ${LIB_SOURCE_DIR}/stringlistpair.cpp
    ${komparediff2_DBG_SRCS}
)

add_test(NAME libkomparediff2-interactiveDiffTest COMMAND interactiveDiffTest)
ecm_mark_as_test(interactiveDiffTest)
# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
target_compile_definitions(interactiveDiffTest
  PUBLIC
    KOMPAREDIFF2_STATIC_DEFINE
)
target_link_libraries(interactiveDiffTest
    Qt6::Core
    Qt6::Test
    KF6::CoreAddons
    KF6::I18n
    KF6::XmlGui
    KF6::KIOCore
)

add_executable(levenshteintest)
target_sources(levenshteintest PRIVATE
    levenshteintest.cpp
    ${LIB_SOURCE_DIR}/difference.cpp
    ${LIB_SOURCE_DIR}/differencestring.cpp
    ${LIB_SOURCE_DIR}/stringlistpair.cpp
    ${komparediff2_DBG_SRCS}
)

add_test(NAME libkomparediff2-levenshteintest COMMAND levenshteintest)
ecm_mark_as_test(levenshteintest)
# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
target_compile_definitions(levenshteintest
  PUBLIC
    KOMPAREDIFF2_STATIC_DEFINE
)
target_link_libraries(levenshteintest
    Qt6::Test
    Qt6::Core
)

=== debian/changelog ===
libkomparediff2 (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 11:59:46 +0000

libkomparediff2 (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:58:23 +0100

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/libkomparediff2
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkomparediff2-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkomparediff2-5,
Replaces: libkomparediff2-5,
Description: architecture-independent data files for libkomparediff2
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains the architecture-independent data files for
 libkomparediff2.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 25.04.0

=== debian/changelog ===
libkomparediff2 (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,11 +15,11 @@
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools (>= 0.12),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/libkomparediff2
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git
 
 Package: libkomparediff2-6
 Section: libs

## libkomparediff2 25.04.1

=== debian/changelog ===
libkomparediff2 (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:21 +0100

libkomparediff2 (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:02:26 +0100

## libkomparediff2 25.04.2

=== debian/changelog ===
libkomparediff2 (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:00:18 +0100

## libkomparediff2 25.04.3

=== debian/changelog ===
libkomparediff2 (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:13 +0100

## libkomparediff2 25.07.80

=== debian/changelog ===
libkomparediff2 (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:25:08 +0100

## libkomparediff2 25.07.90

=== debian/changelog ===
libkomparediff2 (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:00 +0100

## libkomparediff2 25.08.0

=== debian/changelog ===
libkomparediff2 (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:05 +0100

## libkomparediff2 25.08.1

=== src/CMakeLists.txt ===
set(KOMPAREDIFF2_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KompareDiff2")
set(KOMPAREDIFF2_CMAKECONFIG_NAME "KompareDiff2")

add_definitions(-DTRANSLATION_DOMAIN=\"libkomparediff2\")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX      KOMPAREDIFF2
    VERSION_HEADER       "komparediff2_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${KOMPAREDIFF2_CMAKECONFIG_NAME}ConfigVersion.cmake"
    COMPATIBILITY        SameMajorVersion
    SOVERSION            6
)

add_library(komparediff2 SHARED)

set_target_properties(komparediff2 PROPERTIES
    VERSION     ${KOMPAREDIFF2_VERSION}
    SOVERSION   ${KOMPAREDIFF2_SOVERSION}
    EXPORT_NAME "KompareDiff2"
)

target_sources(komparediff2 PRIVATE
    kompareprocess.cpp
    modellist.cpp
    modellist_p.cpp
    diffmodellist.cpp
    diffmodel.cpp
    diffmodel_p.cpp
    difference.cpp
    differencestring.cpp
    diffhunk.cpp
    diffsettings.cpp
    info.cpp
    parser.cpp
    parserbase.cpp
    cvsdiffparser.cpp
    diffparser.cpp
    perforceparser.cpp
    stringlistpair.cpp
)

ecm_qt_declare_logging_category(komparediff2
    HEADER komparediff2_logging.h
    IDENTIFIER KOMPAREDIFF2_LOG
    CATEGORY_NAME "libkomparediff"
    DESCRIPTION "libkomparediff"
    EXPORT komparediff2
)

ecm_generate_export_header(komparediff2
    VERSION ${KOMPAREDIFF2_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    USE_VERSION_HEADER
)

target_link_libraries(komparediff2
    PUBLIC
        KF6::XmlGui
        KF6::ConfigCore
        Qt6::Widgets
        Qt6::Core
    PRIVATE
        KF6::KIOCore
        KF6::I18n
        KF6::CoreAddons
)

target_include_directories(komparediff2 INTERFACE "$<INSTALL_INTERFACE:${KOMPAREDIFF2_INSTALL_INCLUDEDIR}>")

install(TARGETS komparediff2 EXPORT LibKompareDiff2Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(komparediff2_CamelCase_HEADERS
    HEADER_NAMES
        Difference
        DifferenceString
        DiffHunk
        DiffModel
        DiffModelList
        DiffSettings
        Info
        Global
        Marker
        ModelList
    PREFIX KompareDiff2
    REQUIRED_HEADERS komparediff2_HEADERS
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/komparediff2_export.h
        ${komparediff2_HEADERS}
    DESTINATION
        ${KOMPAREDIFF2_INSTALL_INCLUDEDIR}/komparediff2
    COMPONENT
        Devel
)
install(
    FILES
        ${komparediff2_CamelCase_HEADERS}
    DESTINATION
        ${KOMPAREDIFF2_INSTALL_INCLUDEDIR}/KompareDiff2
    COMPONENT
        Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/komparediff2_version.h
    DESTINATION
        ${KOMPAREDIFF2_INSTALL_INCLUDEDIR}
    COMPONENT
        Devel
)

ecm_qt_install_logging_categories(
    EXPORT komparediff2
    FILE libkomparediff2.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)


# CMake config files
set(_LibKompareDiff2_CONFIG_DEST "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KOMPAREDIFF2_CMAKECONFIG_NAME}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KompareDiff2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KOMPAREDIFF2_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION  "${_LibKompareDiff2_CONFIG_DEST}"
)

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/${KOMPAREDIFF2_CMAKECONFIG_NAME}ConfigVersion.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/${KOMPAREDIFF2_CMAKECONFIG_NAME}Config.cmake"
        DESTINATION "${_LibKompareDiff2_CONFIG_DEST}" )
install( EXPORT LibKompareDiff2Targets
         DESTINATION "${_LibKompareDiff2_CONFIG_DEST}"
         FILE ${KOMPAREDIFF2_CMAKECONFIG_NAME}Targets.cmake )

=== debian/changelog ===
libkomparediff2 (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:58:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6config-dev (>= 6.0.0~),
@@ -15,11 +16,11 @@
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools (>= 0.12),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/libkomparediff2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
 
 Package: libkomparediff2-6
 Section: libs

## libkomparediff2 25.08.1+p24.04+vstable+git20250910.0515

=== debian/changelog ===
libkomparediff2 (4:25.08.1+p24.04+vstable+git20250910.0515-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:15:08 +0000

libkomparediff2 (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:10:02 +0000

libkomparediff2 (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:38:05 +0000

libkomparediff2 (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:57:26 +0000

libkomparediff2 (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:05:58 +0000

libkomparediff2 (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:48:06 +0000

libkomparediff2 (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:03:19 +0000

libkomparediff2 (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:32:07 +0000

libkomparediff2 (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:01:14 +0000

libkomparediff2 (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:52:39 +0000

libkomparediff2 (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:48:16 +0000

libkomparediff2 (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:04:36 +0000

libkomparediff2 (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:36:26 +0000

libkomparediff2 (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:08:03 +0000

libkomparediff2 (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:01:18 +0000

libkomparediff2 (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:42:01 +0000

libkomparediff2 (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:03:11 +0000

libkomparediff2 (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:46:29 +0000

libkomparediff2 (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:36:25 +0000

libkomparediff2 (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:15:42 +0000

libkomparediff2 (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:36:24 +0000

libkomparediff2 (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:53:15 +0000

libkomparediff2 (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:20:31 +0000

libkomparediff2 (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:24:17 +0000

libkomparediff2 (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:59:57 +0000

libkomparediff2 (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:52:45 +0000

libkomparediff2 (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:29:30 +0000

libkomparediff2 (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:03:29 +0000

libkomparediff2 (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:10:35 +0000

libkomparediff2 (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:31:58 +0000

libkomparediff2 (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:47:57 +0000

libkomparediff2 (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:18:51 +0000

libkomparediff2 (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:43:11 +0000

libkomparediff2 (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:38:57 +0000

libkomparediff2 (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:50:31 +0000

libkomparediff2 (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:34 +0000

libkomparediff2 (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:10:55 +0000

libkomparediff2 (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:43:53 +0000

libkomparediff2 (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:55:52 +0000

libkomparediff2 (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:06 +0000

libkomparediff2 (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:46:31 +0000

libkomparediff2 (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:49 +0000

libkomparediff2 (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:04 +0000

libkomparediff2 (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:28 +0000



## libkomparediff2 25.08.2

=== debian/changelog ===
libkomparediff2 (4:25.08.2-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:32:20 +0000

libkomparediff2 (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:52:37 +0000

## libkomparediff2 25.08.3

=== debian/changelog ===
libkomparediff2 (4:25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:25:29 +0000

libkomparediff2 (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:17 +1000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kxmlgui-dev,
               pkg-kde-tools-neon
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkomparediff2.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkomparediff2
Maintainer: Neon CI <neon@kde.org>

Package: libkomparediff2-6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkomparediff2-5 (<< 4:24.08.0)
Replaces: libkomparediff2-5 (<< 4:24.08.0)
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: kf6-kcodecs-dev,
         kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-ki18n-dev,
         kf6-kio-dev,
         kf6-kxmlgui-dev,
         libkomparediff2-6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 25.08.3+p24.04+vunstable+git20251123.1327

=== debian/changelog ===
libkomparediff2 (4:25.08.3+p24.04+vunstable+git20251123.1327-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:27:10 +0000

## libkomparediff2 25.11.80

=== debian/changelog ===
libkomparediff2 (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:08 +0000

libkomparediff2 (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:45 +0000

libkomparediff2 (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:29 +0100

## libkomparediff2 25.11.90

=== debian/changelog ===
libkomparediff2 (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:56 +0000

## libkomparediff2 25.12.0

=== debian/changelog ===
libkomparediff2 (4:25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:31:38 +0000

libkomparediff2 (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:44 +1000

## libkomparediff2 25.12.0+p24.04+vstable+git20251208.2030

=== debian/changelog ===
libkomparediff2 (4:25.12.0+p24.04+vstable+git20251208.2030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:30:06 +0000

## libkomparediff2 25.12.0+p24.04+vunstable+git20251208.2032

=== debian/changelog ===
libkomparediff2 (4:25.12.0+p24.04+vunstable+git20251208.2032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:32:18 +0000

## libkomparediff2 25.12.1

=== debian/changelog ===
libkomparediff2 (4:25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 11:26:40 +0000

libkomparediff2 (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:10 +1000

## libkomparediff2 25.12.1+p24.04+vstable+git20260106.2340

=== debian/changelog ===
libkomparediff2 (4:25.12.1+p24.04+vstable+git20260106.2340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:40:05 +0000

## libkomparediff2 25.12.1+p24.04+vunstable+git20260106.2340

=== debian/changelog ===
libkomparediff2 (4:25.12.1+p24.04+vunstable+git20260106.2340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:40:38 +0000

## libkomparediff2 25.12.1+p24.04+vunstable+git20260116.0239

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 include(ECMGenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 )
 
 add_library(komparediff2 SHARED)
+ecm_generate_qdoc(komparediff2 libkomparediff2.qdocconf)
 
 set_target_properties(komparediff2 PROPERTIES
     VERSION     ${KOMPAREDIFF2_VERSION}

=== debian/changelog ===
libkomparediff2 (4:25.12.1+p24.04+vunstable+git20260116.0239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:39:49 +0000

## libkomparediff2 25.12.2

=== debian/changelog ===
libkomparediff2 (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:13 +0000

libkomparediff2 (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:43:57 +0000

libkomparediff2 (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Build with dh-sequence-kf6 and dh-sequence-pkgkde-symbolshelper
    instead of manually specifying dh addons.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 16:39:28 +0000

libkomparediff2 (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:40 +0000

libkomparediff2 (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:47 +0000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/libkomparediff2
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkomparediff2-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkomparediff2-5,
Replaces: libkomparediff2-5,
Description: architecture-independent data files for libkomparediff2
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains the architecture-independent data files for
 libkomparediff2.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 25.12.2+p24.04+vstable+git20260207.0039

=== debian/changelog ===
libkomparediff2 (4:25.12.2+p24.04+vstable+git20260207.0039-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 00:39:59 +0000

libkomparediff2 (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:32:12 +0000
